GCLOUD_COMPUTE_INSTANCE-GROUPS_UNMANAGED_LIST(1)

NAME

gcloud compute instance-groups unmanaged list - list Google Compute Engine unmanaged instance groups

SYNOPSIS

gcloud compute instance-groups unmanaged list [NAME ...] [--regexp=REGEXP, -r REGEXP] [--zones=ZONE,[ZONE,...]] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [--uri] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute instance-groups unmanaged list displays all Google Compute Engine unmanaged instance groups in a project. By default, unmanaged instance groups from all zones are listed. The results can be narrowed down by providing the --zones flag.

POSITIONAL ARGUMENTS

    [NAME ...]
        If provided, show details for the specified names and/or URIs of resources.

FLAGS

    --regexp=REGEXP, -r REGEXP
        A regular expression to filter the names of the results on. Any names that do not match the entire regular expression will be filtered out.

    --zones=ZONE,[ZONE,...]
        If provided, only resources from the given zones are queried.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To list all unmanaged instance groups in a project in table form, run:
    $ gcloud compute instance-groups unmanaged list
To list the URIs of all unmanaged instance groups in a project, run:
    $ gcloud compute instance-groups unmanaged list --uri
To list all unmanaged instance groups in the us-central1-b and europe-west1-d zones, run:
    $ gcloud compute instance-groups unmanaged list \
        --zones us-central1-b europe-west1-d